#
# spec file for package MozillaFirefox (Version 1.5)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  dbus-1 dbus-1-devel dbus-1-glib freetype2 freetype2-devel gnome2-devel-packages gpp kerberos-devel-packages libgpp libidl libidl-devel libjpeg liblcms libpng-devel-packages mozilla-nspr mozilla-nspr-devel orbit orbit-devel pkgconfig tcsh x-devel-packages zip

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel alsa alsa-devel atk atk-devel audiofile audiofile-devel autoconf automake binutils cairo cairo-devel dbus-1 dbus-1-devel dbus-1-glib e2fsprogs-devel esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gconf2 gconf2-devel gdbm gettext glib2 glib2-devel glitz glitz-devel gnome-filesystem gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gtk2 gtk2-devel krb5 krb5-devel libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libidl libidl-devel libjpeg libjpeg-devel liblcms libpixman libpixman-devel libpng libpng-devel libstdc++-devel libtool libwnck libwnck-devel libxml2 libxml2-devel mDNSResponder mDNSResponder-devel mozilla-nspr mozilla-nspr-devel openssl-devel orbit orbit-devel orbit2 orbit2-devel pango pango-devel perl pkgconfig popt-devel resmgr rpm tcsh update-desktop-files xorg-x11-devel xorg-x11-libs zip

Name:         MozillaFirefox
License:      MPL, GPL
Provides:     web_browser
Provides:     MozillaFirebird
Provides:     firefox
Obsoletes:    MozillaFirebird
%if %sles_version == 10
Obsoletes:    mozilla
%endif
Version:      1.5
Release:      3.1
Summary:      Mozilla Firefox Web Browser
URL:          http://www.mozilla.org/
Group:        Productivity/Networking/Web/Browsers
Source:       firefox-%{version}-source.tar.bz2
Source1:      MozillaFirefox.desktop
Source2:      add-plugins.sh.in
Source3:      mozilla.sh.in
Source4:      MozillaFirefox-Gnome.png
Source5:      search-addons.tar.bz2
Source6:      MozillaFirefox.desktop.nld
Source7:      l10n.tar.bz2
Source8:      addon-certs.txt
Source9:      bookmarks.html.nld
Source10:     bookmarks.html.suse
#Source13:     industrial.jar
#Source14:     plastikfox-rev.jar
Source15:     MozillaFirefox-Gnome.desktop
Source16:     firefox.1
Source17:     firefox-suse-default-prefs.js
Source18:     firefox.schemas
Patch1:       visibility.patch
Patch2:       rpath.patch
Patch3:       default_homepage.diff
Patch4:       pango-cairo.patch
Patch5:       abuild.patch
# NSPR bmo #270502
Patch6:       nspr-prdtoa.patch
Patch7:       locale.patch
# lockdown infrastructure
Patch8:       firefox-ui-lockdown.patch
Patch9:       gecko-lockdown.patch
Patch10:      gconf-backend.patch
Patch11:      gnome-vfs.patch
Patch12:      misc.dif
Patch13:      nss-opt.patch
Patch14:      credits.patch
Patch15:      system-nspr.patch
# bmo #273524 (only for NLD)
Patch16:      gnome-vfs-default.patch
# integration
Patch17:      firefox-appname.patch
Patch18:      firefox-no-update.patch
Patch19:      dbus.patch
Patch20:      ppc64.patch
Patch21:      system-nss.patch
# customization
Patch22:      cjk-postscript-fonts.dif
# bmo #298960
Patch23:      remote-parse.patch
Patch24:      firefox-showpass.patch
Patch25:      system-extensions.patch
Patch26:      xul-picker.patch
# integration
Patch34:      firefox-skin-selection.patch
#
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
PreReq:       libstdc++ fileutils textutils /bin/sh
%define has_system_nspr  0
%define has_system_cairo 0
%if %suse_version > 930 || %is_plus
%define has_system_nspr  1
%define has_system_cairo 1
%endif
%if %has_system_nspr
PreReq:       mozilla-nspr >= %( echo `rpm -q --queryformat '%{VERSION}' mozilla-nspr`)
%endif
%define _unpackaged_files_terminate_build 0
%define releasedate 2005122700
%define progname firefox
%define progdir %{_prefix}/%_lib/firefox
%define nld9 %(if grep -q sles9-sld /.buildenv; then echo 1; else echo 0; fi)
%define my_provides /tmp/my-provides
%define my_requires /tmp/my-requires
### build options
%define milestone 1 
%define localize  1
### build options end

%description
Mozilla Firefox, formerly known as Phoenix and Firebird, is a redesign
of the Mozilla browser component, similar to Galeon, K-Meleon and
Camino, but written using the XUL user interface language and designed
to be cross-platform. It's a standalone application instead of part of
the Mozilla Application Suite.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%debug_package
%package translations
Summary:      Translations for MozillaFirefox
Group:        Productivity/Networking/Web/Browsers
PreReq:       %{name} = %{version}

%description translations
This package contains several optional languages for the user interface
of MozillaFirefox.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%prep
%setup -n mozilla -b 7 -q
cd $RPM_BUILD_DIR/mozilla
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
# lockdown stuff
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch14
%if %has_system_nspr
%patch15
%endif
%patch17
%patch18
%patch19
%patch20
#%patch21
%patch22
%patch23
%patch24
%patch25
%patch26
%if %nld9
%patch16
%endif
#%patch34
# additional CA certificates
pushd $RPM_BUILD_DIR/mozilla/security/nss/lib/ckfw/builtins
cat %{SOURCE8} >> certdata.txt
make generate
popd
# custom bookmarks
%if %nld9
cp -f %{SOURCE9} $RPM_BUILD_DIR/mozilla/browser/locales/en-US/profile/bookmarks.html
%else
cp -f %{SOURCE10} $RPM_BUILD_DIR/mozilla/browser/locales/en-US/profile/bookmarks.html
%endif

%build
export MOZ_BUILD_DATE=%{releasedate}
export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1
export CFLAGS="$RPM_OPT_FLAGS -Os -fno-strict-aliasing"  
export CXXFLAGS="$CFLAGS"
export RPATH="-Wl,-rpath -Wl,%{progdir}"
export MOZCONFIG=$RPM_BUILD_DIR/mozconfig
cat << EOF > $MOZCONFIG
mk_add_options MOZILLA_OFFICIAL=1
mk_add_options BUILD_OFFICIAL=1
mk_add_options MOZ_MAKE_FLAGS=%{?jobs:-j%jobs}
. \$topsrcdir/browser/config/mozconfig
ac_add_options --prefix=%{_prefix}
ac_add_options --libdir=%{_libdir}
ac_add_options --sysconfdir=%{_sysconfdir}
ac_add_options --mandir=%{_mandir}
ac_add_options --includedir=%{_includedir}
ac_add_options --enable-optimize="$CFLAGS"
ac_add_options --with-system-jpeg
ac_add_options --with-system-png
ac_add_options --with-system-mng
ac_add_options --with-system-zlib
ac_add_options --enable-default-toolkit=gtk2
ac_add_options --enable-gconf
ac_add_options --enable-svg
ac_add_options --enable-canvas
ac_add_options --enable-xft
ac_add_options --disable-freetype2
ac_add_options --disable-installer
ac_add_options --enable-static
ac_add_options --disable-shared
ac_add_options --disable-tests
#ac_add_options --enable-debug
EOF
%if %is_plus || %suse_version >= 930
cat << EOF >> $MOZCONFIG
ac_add_options --enable-pango
EOF
%endif
%if %has_system_nspr
cat << EOF >> $MOZCONFIG
ac_add_options --with-system-nspr
EOF
%endif
%if %has_system_cairo
cat << EOF >> $MOZCONFIG
ac_add_options --enable-system-cairo
EOF
%endif
%if %suse_version >= 1000
cat << EOF >> $MOZCONFIG
ac_add_options --enable-dbus
ac_add_options --enable-extensions="dbus default"
EOF
%endif
%if %milestone
cat << EOF >> $MOZCONFIG
ac_add_options --enable-official-branding
EOF
%endif
make -f client.mk build

%install
make -C browser/installer STRIP=/bin/true
# copy tree into RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{progdir}
cp -rf $RPM_BUILD_DIR/mozilla/dist/firefox/* $RPM_BUILD_ROOT/%{progdir}
# install additional locales
%if %localize
echo %defattr\(-,root,root\) > %{_tmppath}/translations.list
#for locale in $(cat browser/locales/all-locales); do
for locale in ar da de es-AR es-ES fi fr he it ja ja-JP-mac ko nb-NO nl pl sv-SE zh-CN zh-TW ; do
  make -C browser/locales libs-$locale
  cp dist/xpi-stage/locale-$locale/chrome/$locale.jar \
     $RPM_BUILD_ROOT/%{progdir}/chrome
  cp dist/xpi-stage/locale-$locale/chrome/$locale.manifest \
     $RPM_BUILD_ROOT/%{progdir}/chrome
  echo %{progdir}/chrome/$locale.jar      >> %{_tmppath}/translations.list
  echo %{progdir}/chrome/$locale.manifest >> %{_tmppath}/translations.list
done
%endif
# overwrite the mozilla start-script and link it to /usr/bin
mkdir --parents $RPM_BUILD_ROOT/usr/bin
sed "s:%%PREFIX:%{_prefix}:g
s:%%PROGDIR:%{progdir}:g
s:%%APPNAME:%{progname}:g
s:%%PROFILE:.mozilla/firefox:g" \
  %{SOURCE3} > $RPM_BUILD_ROOT%{progdir}/%{progname}.sh
chmod 755 $RPM_BUILD_ROOT%{progdir}/%{progname}.sh
ln -sf ../..%{progdir}/%{progname}.sh $RPM_BUILD_ROOT/usr/bin/%{progname}
# desktop definition
%if %nld9
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/applications
install -m 644 %{SOURCE6} \
               $RPM_BUILD_ROOT/opt/gnome/share/applications/%{name}.desktop
%else
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
install -m 644 %{SOURCE1} %{SOURCE15} \
	       $RPM_BUILD_ROOT/usr/share/applications
%endif
# SCHEMA File
mkdir -p $RPM_BUILD_ROOT/etc/opt/gnome/gconf/schemas
install -m 644 %{SOURCE18} \
               $RPM_BUILD_ROOT/etc/opt/gnome/gconf/schemas/
%if %suse_version <= 1000
# install add-plugins.sh 
sed "s:%%PROGDIR:%{progdir}:g
s:%%APPNAME:%{progname}:g" \
  %{SOURCE2} > $RPM_BUILD_ROOT%{progdir}/add-plugins.sh
chmod 755 $RPM_BUILD_ROOT%{progdir}/add-plugins.sh
%endif
# install man-page
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
cp %{SOURCE16} $RPM_BUILD_ROOT%{_mandir}/man1/
# apply SUSE defaults
sed -e 's,RPM_VERSION,%{version}-%{release},g' %{SOURCE17} > suse-default-prefs
cp suse-default-prefs $RPM_BUILD_ROOT/%{progdir}/defaults/pref/firefox-novell.js
rm suse-default-prefs
# use correct locale for useragent
cat > $RPM_BUILD_ROOT%{progdir}/defaults/pref/firefox-l10n.js << EOF
pref("general.useragent.locale", "chrome://global/locale/intl.properties");
EOF
##########
# ADDONS
#
(cd $RPM_BUILD_ROOT%{progdir}/searchplugins ; tar xjf %{SOURCE5})
# browserconfig.properties
sed "s;browser.startup.homepage=.*;browser.startup.homepage=http://www.novell.com/linux/;g
s;browser.startup.homepage_reset=.*;browser.startup.homepage_reset=http://www.novell.com/linux/;g" \
  dist/firefox/browserconfig.properties > $RPM_BUILD_ROOT%{progdir}/browserconfig.properties
# copy in themes
#cp -f %{SOURCE13} %{SOURCE14} $RPM_BUILD_ROOT%{progdir}/chrome/
#
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
%if %milestone
cp -f other-licenses/branding/firefox/mozicon128.png $RPM_BUILD_ROOT/usr/share/pixmaps/firefox.png
cp -f %{SOURCE4} $RPM_BUILD_ROOT/usr/share/pixmaps/firefox-gnome.png
%else
cp -f $RPM_BUILD_ROOT%{progdir}/icons/mozicon50.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/firefox.xpm
cp -f $RPM_BUILD_ROOT%{progdir}/icons/mozicon50.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/firefox-gnome.xpm
%endif
%suse_update_desktop_file %{name} Application Network WebBrowser X-Ximian-Main X-Ximian-Toplevel
%if %nld9
%else
%suse_update_desktop_file MozillaFirefox-Gnome Application Network WebBrowser X-Ximian-Main X-Ximian-Toplevel
%endif
%if %has_system_nspr
# modify provides and requires lists
cat << EOF > %{my_provides}
grep -vE "libnss3.so|libnssckbi.so|libsmime3.so|libsoftokn3.so|libssl3.so" | %{__find_provides}
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}
cat << EOF > %{my_requires}
grep -vE "libnss3.so|libnssckbi.so|libsmime3.so|libsoftokn3.so|libssl3.so|firefox-bin" | %{__find_requires}
EOF
chmod 755 %{my_requires}
%define __find_requires %{my_requires}
%endif

%clean
rm -rf $RPM_BUILD_ROOT
%if %has_system_nspr
rm -f %{my_provides}
rm -f %{my_requires}
%endif

%post
# move plugins to new location
if [ "$1" = "2" ]; then
  if [ -d /opt/MozillaFirefox/%{_lib}/plugins ]; then
    rm -rf /opt/MozillaFirefox/%{_lib}/plugins/libnullplugin.so
    cp -fud /opt/MozillaFirefox/%{_lib}/plugins/* %{progdir}/plugins
    rm -rf /opt/MozillaFirefox/%{_lib}/plugins
  fi
fi
if [ ! -f /.buildenv ]; then
  export GCONF_CONFIG_SOURCE=`/opt/gnome/bin/gconftool-2 --get-default-source`
  /opt/gnome/bin/gconftool-2 --makefile-install-rule /etc/opt/gnome/gconf/schemas/firefox.schemas > /dev/null 2>&1
  # restart gconfd
  _pids=`pidof gconfd-2` ; RET=$? || true
  if [ "$RET" = "0" ]; then
    for _pid in $_pids; do
      _user=`ps ho user $_pid`
      su $_user -c "/opt/gnome/bin/gconftool-2 --shutdown" 2>&1 /dev/null || break
      su $_user -c "/opt/gnome/bin/gconftool-2 --spawn"    
      sleep 2
    done
  fi
fi
%if %suse_version <= 1000
%{progdir}/add-plugins.sh > /dev/null 2>&1
%endif
exit 0
%if %suse_version <= 1000

%triggerin -- IBMJava2-JRE, java2-jre, java2, IBMJava2-SDK, BlackdownJava2-JRE, java-1_4_2-sun-plugin, java-1_5_0-sun-plugin
%{progdir}/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun --  IBMJava2-JRE, java2-jre, java2, IBMJava2-SDK, BlackdownJava2-JRE, java-1_4_2-sun-plugin, java-1_5_0-sun-plugin
if [ -L %{progdir}/plugins/libjavaplugin_oji.so -a ! -f %{progdir}/plugins/libjavaplugin_oji.so ]; then
  rm -f %{progdir}/plugins/libjavaplugin_oji.so
fi
%{progdir}/add-plugins.sh > /dev/null 2>&1
exit 0
%endif

%files
%defattr(-,root,root)
%dir %{progdir}
%dir %{progdir}/chrome/
%{progdir}/chrome/browser.*
%{progdir}/chrome/classic.*
%{progdir}/chrome/comm.*
%{progdir}/chrome/en-US.*
%{progdir}/chrome/pippki.*
%{progdir}/chrome/toolkit.*
%{progdir}/chrome/reporter.*
%{progdir}/chrome/icons
%{progdir}/components/
%{progdir}/greprefs/
%{progdir}/defaults/
%{progdir}/extensions/
%{progdir}/icons/
#%{progdir}/init.d/
%dir %{progdir}/plugins
%{progdir}/plugins/libnullplugin.so
%{progdir}/res/
%{progdir}/searchplugins/
%if %suse_version <= 1000
%{progdir}/add-plugins.sh
%endif
%{progdir}/%{progname}-bin
%attr(755,root,root) %{progdir}/%{progname}.sh
%{progdir}/browserconfig.properties
# NSPR
%if ! %has_system_nspr
%{progdir}/libnspr4.so
%{progdir}/libplc4.so
%{progdir}/libplds4.so
%endif
# NSS
%{progdir}/libnssckbi.so
%{progdir}/libnss3.so
%{progdir}/libsmime3.so
%{progdir}/libsoftokn3.chk
%{progdir}/libsoftokn3.so
%{progdir}/libssl3.so
#
%{progdir}/libmozjs.so
%{progdir}/libxpcom.so
%{progdir}/libxpcom_core.so
%{progdir}/libxpcom_compat.so
%{progdir}/libxpistub.so
%{progdir}/mozilla-xremote-client
%{progdir}/run-mozilla.sh
%{progdir}/updater
%{progdir}/updater.ini
%{progdir}/xpicleanup
%if %nld9
/opt/gnome/share/applications/%{name}.desktop
%else
/usr/share/applications/%{name}.desktop
/usr/share/applications/%{name}-Gnome.desktop
%endif
/etc/opt/gnome/gconf/schemas/firefox.schemas
/usr/share/pixmaps/firefox*
/usr/bin/%{progname}
%doc %{_mandir}/man1/firefox.1.gz

%files translations -f %{_tmppath}/translations.list
%defattr(-,root,root)

%changelog -n MozillaFirefox
* Wed Dec 28 2005 - stark@suse.de
- get some patches from 1.8.0 branch
- readded modification to gconf-backend (bmo #321315)
- readded lockdown stuff
- enable additional extension install directory
  (/usr/lib/browser-extensions/firefox)
- added patch to make the XUL filechooser optional
  (MOZ_XUL_PICKER)
* Wed Dec 14 2005 - stark@suse.de
- fixed patch for parsing -remote parameter
- removed default-plugin patch (not needed anymore)
* Fri Dec 09 2005 - stark@suse.de
- fix to ignore X composite extension (#135373)
- fixed parsing of -remote parameters (#134396)
- activated locales as released
* Tue Nov 29 2005 - stark@suse.de
- update to 1.5 (20051128)
- don't override startup URL when changing Gecko versions (#135314)
- added patch for GTK2 handling (#134831)
- readded add-plugins stuff for compatibility
* Fri Nov 18 2005 - stark@suse.de
- update to 1.5rc3 (20051117)
* Mon Oct 31 2005 - stark@suse.de
- updated l10n archive (20051030)
- fixed postinstall script to copy plugin links instead of files
* Fri Oct 28 2005 - stark@suse.de
- update to 1.5rc1 (20051027)
- fixed profile locking on FAT partitions (bmo #313360)
- introduced an rpath again
* Wed Oct 19 2005 - stark@suse.de
- update to snapshot 1.5 (20051019)
- moved installation to /usr/%%{_lib}/firefox
- added dbus component to be able to get network status from
  NetworkManager (bmo #312793)
- remove all update UI for application
- removed diable-gconf (no registration at build time anymore)
- removed rebuild-databases.sh (no system registration anymore)
- open links in new windows (#128087)
* Thu Oct 06 2005 - stark@suse.de
- update to Firefox 1.5b2 (20051005)
- added supported translations
* Sat Oct 01 2005 - stark@suse.de
- update to Firefox 1.5b1 (20050930) RPM version 1.4.1
- removed rebuild-databases.sh calls
- removed add-plugins.sh calls and corresponding triggers
- enabled SVG and Canvas support
- fixed gconf urlhandler registration
* Tue Sep 20 2005 - stark@suse.de
- security update to 1.0.7 (#117619)
  * MFSA 2005-57: IDN heap overrun using soft-hyphens (bmo #307259)
  (enabled IDN pref again)
  * MFSA 2005-58:
  CAN-2005-2701 Heap overrun in XBM image processing
  CAN-2005-2702 Crash on "zero-width non-joiner" sequence
  CAN-2005-2703 XMLHttpRequest header spoofing
  CAN-2005-2704 Object spoofing using XBL <implements>
  CAN-2005-2705 JavaScript integer overflow
  CAN-2005-2706 Privilege escalation using about: scheme
  CAN-2005-2707 Chrome window spoofing
  Regression fixes
- register beagle extension if it gets installed (#116787)
* Tue Sep 13 2005 - aj@suse.de
- Change SUSE bookmarks.
* Sun Sep 11 2005 - stark@suse.de
- disable IDN per default (#116070)
- unlocalize bookmarks (#114279)
* Thu Sep 08 2005 - stark@suse.de
- fixed some filemodes (#114849)
* Sun Sep 04 2005 - stark@suse.de
- fixed gconf-backend patch to be able to use
  system prefs (#114054)
* Thu Sep 01 2005 - stark@suse.de
- changed default font to sans-serif (#114464)
- removed de-de parts of the bookmark-links (#114279)
* Mon Aug 22 2005 - stark@suse.de
- install gconf schema for lockdown also on non-NLD
- added backports (firefox-backports.patch)
  * gtk_im_context_set_cursor_location() is not used (bmo #281339)
  * fixed crash in imgCacheValidator::OnStartRequest()
  (bmo #293307)
- workaround for linking with pangoxft and pangox
  (broken by gtk 2.8 update) (#105764)
- remove extensions on deinstallation
- include dragonegg (kparts) plugin (#105468)
* Thu Aug 18 2005 - stark@suse.de
- fixed regression in profile locking change (bmo #303633)
- added rtsp handler to global config (#104434)
- don't blacklist help: protocol (bmo #304833)
- fixed Gdk-WARNING at startup (gtk.patch)
- fixed crash with gtk 2.7 (bmo #300226, bnc #104586)
- fixed installation of the beagle plugin
- update industrial theme to 1.0.11 (#104564)
- included lockdownV2 (removed obsolete gconf.diff)
- linked firefox-bin with rpath to progdir
* Fri Aug 05 2005 - stark@suse.de
- fixed profile locking (bmo #151188)
- install beagle extension globally
* Fri Jul 29 2005 - stark@suse.de
- don't require and provide NSS libs (#98002)
- fixed printing error 'You cannot print while in print preview'
  (#96991, bmo #302445)
* Wed Jul 27 2005 - stark@suse.de
- fixed Firefox on ppc (stack-direction.patch) (#97359)
- removed open-pref from startscript as it is done
  automatically now (#73042)
- updated Novell searchplugins
* Mon Jul 25 2005 - stark@suse.de
- GTK filechooser is now modal (#8533)
- backed out patch to add tooltips to print-preview
  because it breaks localization
* Fri Jul 22 2005 - stark@suse.de
- fixed another problem in printing patch
* Tue Jul 19 2005 - stark@suse.de
- fixed error in ft-xft-ps2.patch
- disabled stripping in spec instead of patch
- added NSPR to PreReq
* Mon Jul 18 2005 - stark@suse.de
- fixed some more regressions with final 1.0.6
- fixed width calculation in Postscript module (bmo #290292)
- fixed plugin event starvation (bnc #94749, #94751, bmo #301161)
* Fri Jul 15 2005 - stark@suse.de
- searchplugins can now be installed per profile (#8176)
* Fri Jul 15 2005 - stark@suse.de
- update to 1.0.6 which restores API compatibility
* Tue Jul 12 2005 - stark@suse.de
- update to 1.0.5 final (#88509)
- don't strip explicitely
- don't ship beagle.xpi
* Wed Jul 06 2005 - stark@suse.de
- update to 1.0.5-pre (20050705)
- use RPM_OPT_FLAGS for NSS component
- fixed implicit declarations and uninitialized used variables
- added patch for bmo #87969
* Tue Jul 05 2005 - stark@suse.de
- fixed regression from security update (#95069, bmo #298478)
* Mon Jun 27 2005 - stark@suse.de
- don't use system-prefs by default on NLD
- removed basic lockdown stuff for SUSE Linux
  (it's not needed and caused problems: bnc #75418)
- fixed NLD lockdown patch (bnc #75418)
- don't write prefs back to gconf for now
* Wed Jun 22 2005 - stark@suse.de
- new NLD lockdown patch which is syncing user prefs to gconf
- update to 1.0.5pre security-release
* Thu Jun 09 2005 - stark@suse.de
- new revision of NLD lockdown patch
- fixed remote usage behaviour in start script (bnc #41903)
- got more bugfixes from the branch
* Thu Jun 02 2005 - stark@suse.de
- fixed neededforbuild
* Wed Jun 01 2005 - stark@suse.de
- fixed IDN for 64bit platforms (bmo #236425, bnc #46268)
* Fri May 20 2005 - stark@suse.de
- fixed keybinding for KP separator (bnc #84147)
- pulled security related patch from upstream branch
- update plastikfox theme to version 1.6
* Thu May 12 2005 - stark@suse.de
- update to final 1.0.4 release
* Tue May 10 2005 - stark@suse.de
- update to 1.0.4 security release
- removed s390(x) patches (upstream)
- made two more files %%verify (81692)
- updated NLD lockdown patch (81304)
* Thu Apr 28 2005 - stark@suse.de
- use static NSPR libs from new location
* Sat Apr 23 2005 - stark@suse.de
- activate usage of system NSPR for distributions after 9.3
- add patch to be able to use systen NSPR at all
* Fri Apr 22 2005 - ro@suse.de
- use mozilla-gcc4.patch
* Thu Apr 21 2005 - stark@suse.de
- don't execute gconf magic within build environment
* Sat Apr 16 2005 - stark@suse.de
- update to final 1.0.3 release
* Fri Apr 15 2005 - ro@suse.de
- fix problem in postinstall script
* Thu Apr 14 2005 - stark@suse.de
- included fixed lockdown patch for NLD
- linked proxies within Firefox with gnome settings (NLD)
- added gconfd restart procedure to install script
  (only needed if gconf changes are done) (#76852)
* Sat Apr 02 2005 - stark@suse.de
- update to security pre-release 1.0.3 (#75692)
  * Manual plug-in install, javascript vulnerability (bmo #288556)
  * Access memory vulnerability (bmo #288688)
* Fri Apr 01 2005 - stark@suse.de
- added advanced lockdown features for ZLM integration (NLD-only)
* Tue Mar 22 2005 - stark@suse.de
- update to final 1.0.2
- use new theme handling on NLD
- added default-plugin-less-annoying from mozilla
- use GTK2 for Flash
- use system NSPR on SUSE releases after 9.3
- made startscript PIS aware
- set g-application-name correctly (bmo #281979)
- added man-page
- use GTK system colors
- modify useragent string and add vendor id
- activate smooth-scrolling by default (#74310)
* Tue Mar 22 2005 - stark@suse.de
- don't register beagle automatically (#74062)
- added default bookmarks for SUSE LINUX
* Mon Mar 21 2005 - max@suse.de
- Fixed a typo in the shell code that handles inclusion of the
  Acrobat Reader plugin (#70861).
* Thu Mar 17 2005 - stark@suse.de
- updates from upcoming 1.0.2
- added again logic to use Adobe Reader 7 (#70861)
- fixed crash in ICO decoding (#67142, bmo #245631)
- preinstall beagle extension (#72920)
- bugfixes in trigger scripts
- fixed industrial theming for Gnome (#72918)
* Sat Mar 12 2005 - stark@suse.de
- fixed more security related bugs
  (bmo #284551, #284627, #285595)
* Wed Mar 09 2005 - stark@suse.de
- update also GNOME desktop file (#71810)
- added firefox-gnome.png to filelist
- use correct Firefox icon
* Mon Mar 07 2005 - stark@suse.de
- disable inclusion of acrobat plugin again (#70861)
- don't use gconfd in registration phase (#66381)
* Mon Mar 07 2005 - adrian@suse.de
- use standard icon again for the default desktop file and
  add a Gnome-only desktop file for the Gnome icon
- add plastikfox chrome theme to fix button order within KDE
- add patch for automatic theme selection for KDE and Gnome
- do register extensions in rebuild-databases.sh instead of %%install,
  to fix needed timestamps
* Fri Mar 04 2005 - stark@suse.de
- extend add-plugins to recognize Java 1.5 (#66909)
- changed comment in desktop-file (#66867)
* Tue Feb 22 2005 - stark@suse.de
- make --display parameter working in all cases (bnc #66043)
- revised postscript patch
- final 1.0.1 codebase
* Mon Feb 21 2005 - stark@suse.de
- added patch to create Postscript level 2 (instead of 3)
  (special thanks to Jungshik Shin)
- disabled freetype explicitly to be able to use the above patch
  (freetype wasn't used anymore since some time anyway)
* Fri Feb 18 2005 - stark@suse.de
- got more patches from branch to get another IDN fix and to
  fix bug #51019
- enabled IDN again
* Wed Feb 16 2005 - stark@suse.de
- bumped version number to 1.0.1
* Tue Feb 15 2005 - stark@suse.de
- got updates from 1.0.1 branch
* Thu Feb 10 2005 - stark@suse.de
- additional fireflashing fix (#50635, bmo #280664)
- some more security related fixes
  (bmo #268483, #273498, #277322)
- fire up GTK2 filepicker if GNOME is running
* Tue Feb 08 2005 - stark@suse.de
- some prefs are ignored (bmo #261934)
- disabled default IDN (#50566)
- fixed some more bugzilla.mozilla.org bugs:
  [#276482], #280056, #280603
* Sun Feb 06 2005 - stark@suse.de
- use same desktop categories for Professional and NLD
- added some lockdown stuff for printing and page saving
  (bmo #280488)
* Wed Feb 02 2005 - stark@suse.de
- modified gconf.diff to honor ignore_hosts (bmo #280742)
- added a JS crasher fix (bmo #268535)
- added more fixes (bmo #255441, #273024, #275405, #275634)
* Fri Jan 28 2005 - stark@suse.de
- added gplflash inclusion
- improved JRE inclusion
- reactivated usage of Acrobat Reader plugin
  (ready for acroread 7)
* Sat Jan 22 2005 - stark@suse.de
- added some backported bugfixes
* Sat Dec 18 2004 - stark@suse.de
- updated industrial theme to 1.0.9
- use slightly changed icon for menu-entry (bnc #275)
- use original desktop file for NLD again
* Thu Dec 16 2004 - stark@suse.de
- newer patch for GNOME associations (bnc #362)
- fix overwriting of files with GTK picker (Ximian #65068)
- readded the industrial default theme patch for NLD
* Wed Dec 15 2004 - stark@suse.de
- activate GTK filepicker for NLD again
- fix for GNOME helper applications with parameters
- make GNOME associations the default on NLD
* Sat Dec 04 2004 - stark@suse.de
- fixed build on s390/s390x
- added patch to be able to install-global without running X
  (bmo #265859)
* Thu Nov 18 2004 - stark@suse.de
- update industrial theme to 1.0.8 (still not activated)
- added patch to make home-directory the default download dir
  (on NLD is still used Desktop)
* Thu Nov 11 2004 - stark@suse.de
- made initial window height smaller again
* Tue Nov 09 2004 - stark@suse.de
- update to final 1.0 release (20041109)
* Thu Nov 04 2004 - stark@suse.de
- update to 1.0rc2
* Sat Oct 30 2004 - stark@suse.de
- added missing s390(x) patch
* Wed Oct 27 2004 - stark@suse.de
- update to 1.0rc1 codebase
- printing via XFT/fontconfig
- freetype changes to avoid API conflicts with newer freetype2
- fixed build for s390/s390x
- removed AMD64 patch (included upstream)
- added translations sub-package
- removed "Show folder" patch for NLD (resolved upstream)
- don't use gnome-filepicker patch for NLD for now
- removed hppa buildfix (included upstream)
- removed untitled.patch (bmo #24068) resolved by (bmo #262478)
- use make -C browser/installer now to prepare installation
- don't check for default browser at startup (#47587)
- updated industrial.jar (0.99.13) (disabled)
* Fri Oct 15 2004 - stark@suse.de
- inherit locale from system
- fixed chrome registration
* Wed Oct 06 2004 - joeshaw@suse.de
- disable gconf settings as default (Ximian #67718)
* Wed Oct 06 2004 - stark@suse.de
- fixed inclusion of RealPlayer plugin again
* Tue Oct 05 2004 - stark@suse.de
- small important fix in firefox-download.patch (Ximian #65472)
* Sun Oct 03 2004 - stark@suse.de
- added security-fix from 0.10.1 (mozilla.org #259708) (#46687)
* Fri Oct 01 2004 - stark@suse.de
- final fix for downloading to Desktop folder (Ximian #65756)
- remove Postscript from printer names (Ximian #65560)
* Thu Sep 30 2004 - shprasad@suse.de
- Modified the MozillaFirefox.desktop file.
  Changed the name 'Firefox' to 'Firefox Web Browser'.
  Also changed it for all languages.
* Wed Sep 29 2004 - stark@suse.de
- fix inclusion of RealPlayer plugin (Ximian #65711)
* Mon Sep 27 2004 - joeshaw@suse.de
- Update the industrial default patch, for some reason it didn't
  take before.
* Fri Sep 24 2004 - stark@suse.de
- fix for Ximian #65176 (mozilla.org #240068)
- revised patch for update function (Ximian #65615)
* Thu Sep 23 2004 - joeshaw@suse.de
- Uncomment the patch which tells the UI that industrial is the
  default.
* Thu Sep 23 2004 - stark@suse.de
- open Nautilus on NLD for 'Show folder' in download settings
  (Ximian #65472) by sragavan@novell.com
- save to Desktop folder if selected (Ximian #65756)
  by sragavan@novell.com
* Wed Sep 22 2004 - stark@suse.de
- synced NLD package with 9.2 version
- GTK2 filepicker does now ask for confirmation when overwriting
  files (Ximian #65068) by sagarwala@novell.com
- no direct update function (Ximian #65615) by rganesan@novell.com
- throbber linked to Novell (Ximian #66283) by rganesan@novell.com
- make industrial the default theme for NLD
  (Ximian #65542) by joeshaw@suse.de
* Mon Sep 20 2004 - joeshaw@suse.de
- Add default bookmarks.  Ximian #65546.
- Add the industrial theme, but it's not the default yet.
- Remove acroread from add-plugins because it's badly behaved.
  Ximian #65499.
* Mon Sep 20 2004 - federico@ximian.com
- Added MozillaFirefox-toplevel-window-height.diff for
  http://bugzilla.ximian.com/show_bug.cgi?id=65543
* Sun Sep 19 2004 - stark@suse.de
- use GNOME system prefs only for NLD by default
  (fixes bug #45575)
* Fri Sep 17 2004 - stark@suse.de
- joeshaw@suse.de: Update GConf patch so that proxy settings work
  correctly (Ximian #64461)
- don't search Java on every path (Ximian #65383)
- added some missing fixes for official release
- added new java package name for triggers (#45257)
* Sat Sep 11 2004 - stark@suse.de
- update to official 1.0PR (0.10)
- adopted gnome-filepicker patch
- removed obsolete CUPS hack from start-script
  (Ximian #65635, #65560)
* Thu Sep 09 2004 - stark@suse.de
- fixed endianess on AMD64 in JS component (#34743)
* Mon Sep 06 2004 - stark@suse.de
- fixed filelist
* Mon Sep 06 2004 - stark@suse.de
- update to 1.0PR (aka 0.10)
* Fri Sep 03 2004 - stark@suse.de
- added ppc64 patch
* Thu Sep 02 2004 - dave@suse.de
- Fixed up the .desktop installation on nld
* Wed Sep 01 2004 - shprasad@suse.de
- Doesn't ask to set Firefox as default web-browser.
* Tue Aug 31 2004 - stark@suse.de
- next new version for filepicker stuff
- deactivated native filepicker for NLD
- update to snapshot (20040831)
* Tue Aug 24 2004 - stark@suse.de
- new version of gnome-filepicker patch
- added patch for config
* Fri Aug 20 2004 - stark@suse.de
- update to snapshot (20040820)
* Thu Aug 19 2004 - stark@suse.de
- added workaround for mozilla bug #246313
  (Firefox does not start: getting "cannot open display" error)
* Wed Aug 18 2004 - stark@suse.de
- added some patches from Ximian
- use GNOME filepicker
- use more gconf settings
- set startup homepage to Novell
* Tue Aug 17 2004 - stark@suse.de
- update to pre-1.0.0 (20040817)
* Thu Aug 05 2004 - stark@suse.de
- security update to 0.9.3
  (including #43312 and others)
- handle RealPlayer 9 plugin
* Mon Aug 02 2004 - ro@suse.de
- recode desktop file to utf-8
* Wed Jul 28 2004 - stark@suse.de
- added fix against certificate spoofing (#43312)
* Fri Jul 23 2004 - stark@suse.de
- update to 0.9.2
- added workaround for extension registry
- removed old (incompatible) mozex extension
* Tue Jun 29 2004 - stark@suse.de
- update to 0.9.1
- added hint to run as root first
* Tue Jun 15 2004 - stark@suse.de
- update to 0.9
- added patch for newer freetype
* Fri Apr 02 2004 - stark@suse.de
- removing relocation of TEMP directory (#34391)
* Mon Mar 29 2004 - stark@suse.de
- update to 0.8.0+ (20040503)
- removed firefox logos and activate official branding for
  milestone builds
- changed profile-dir to .firefox
- added some needed files
- enabled gnomevfs extension
* Fri Mar 26 2004 - uli@suse.de
- fixed hang during build on s390* (bug #35440)
* Wed Mar 03 2004 - stark@suse.de
- removed unused patches for GTK2 build
- more fixes for (#35179)
* Mon Mar 01 2004 - stark@suse.de
- improved start-script to interact with thunderbird (#35179)
* Thu Feb 26 2004 - stark@suse.de
- use official releasedate
- added official (trademarked) artwork
- added firefox icon to /usr/share/pixmaps
- cleaned up spec-file (there will be no GTK1 version)
* Tue Feb 24 2004 - stark@suse.de
- fixed optimization for non-x86 archs
* Tue Feb 24 2004 - stark@suse.de
- adopted file-list and build options to original distribution
- added prdtoa fix (#32963)
- added hook for static firefox build to rebuild-databases.sh
- added compiler flags for security/ (nss-opt.patch)
- included mozex (mozex.mozdev.org)
- added -Os as optimization flag
* Mon Feb 09 2004 - stark@suse.de
- renamed to MozillaFirefox
- update to final version 0.8
* Fri Feb 06 2004 - stark@suse.de
- update to Firebird 0.8 (20040205)
- added mips build fix
- set PS printer list in MozillaFirebird.sh
- use lib64 again for biarch platforms
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - stark@suse.de
- upstream sync for 0.6.1post
* Sun Aug 10 2003 - stark@suse.de
- removed dmoz from searchplugins-filelist
* Fri Aug 08 2003 - stark@suse.de
- update to 0.6.1post (TRUNK)
- use -fno-strict-aliasing
* Thu Jul 31 2003 - stark@suse.de
- update to 0.6.1 (MOZILLA_1_4_BRANCH)
- synchronized with mozilla-source
- created file-list
* Thu Jul 10 2003 - stark@suse.de
- update to snapshot 20030709
- fixed generation of symlink MozillaFirebird-xremote-client
* Fri Jun 20 2003 - stark@suse.de
- update to snapshot 20030622 (0.7pre)
* Mon May 19 2003 - stark@suse.de
- update to snapshot 20030518 (0.6)
* Wed May 07 2003 - stark@suse.de
- update to snapshot 20030507
* Wed Apr 30 2003 - stark@suse.de
- initial SuSE package
